package org.academiadecodigo.bootcamp11.moneyinthebank;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */
public class Wallet {
    private PiggyBank wallet;

    public Wallet(double money) {
        this.wallet = new PiggyBank("wallet", money);
    }

    public double checkBalance() {
        return wallet.checkBalance();
    }

    public double placeMoney(double money) {
        return wallet.addToBank(money);
    }

    public double takeMoney(double money) {
        return wallet.giefMonies(money);
    }
}
